Bug 239226 - Firefox won't swallow evince
Summary: Firefox won't swallow evince
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox   
(Show other bugs)
Version: rawhide
Hardware: i386 Linux
medium
low
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-06 14:05 UTC by Steven Usdansky
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-10 15:05:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot showing evince swallowed by firefox (1.12 MB, image/png)
2007-05-08 18:43 UTC, Steven Usdansky
no flags Details

Description Steven Usdansky 2007-05-06 14:05:56 UTC
Description of problem:
WHen trying to display a pdf in Firefox, I get a separate evince window instead
of evince embedded in Firefox

Version-Release number of selected component (if applicable):
firefox-2.0.0.3-4.fc7
evince-0.8.0-5.fc7
mozplugger-1.7.3-3.1

How reproducible:
every time


Steps to Reproduce:
1. Start firefox
2. Find a page with a link to a pdf file
3. Click on the link to the pdf file
  
Actual results:
Dialog box pops up offering to open the pdf in Document Viewer (default) or
Firefox. Selecting Firefox gives a blank tab and another identical dialog box.
Selecting Document Viewer opens Evince in its own window.

Expected results:
Evince opens in a new Firefox tab

Additional info:
Add-ons installed: Adblock, ColorfulTabs, Diggler, DOM INspector, Duplicate Tab,
Flashblock, Image Zoom, User Agent Switcher,

Comment 1 Matthias Clasen 2007-05-08 01:18:12 UTC
Why do you expect that to happen ?

Comment 2 Steven Usdansky 2007-05-08 10:40:26 UTC
Two reasons:
1. It used to work that way in Fedora
2. It works that way in Ubuntu

Comment 3 Christopher Aillon 2007-05-08 15:18:29 UTC
Are you sure that it's evince and not Adobe's acroread?

Comment 4 Steven Usdansky 2007-05-08 18:43:38 UTC
Created attachment 154351 [details]
screenshot showing evince swallowed by firefox

Comment 5 Matthias Clasen 2007-05-10 15:05:48 UTC
If it ever worked that way, it was a bug. 


Note You need to log in before you can comment on or make changes to this bug.